.\" @(#)syfre.man 1.1 93/05/15; Copyright (c) 1993 - Marc Douglass Wallace
.\"
.TH syfre l "15 May 1993" "1.1"
.SH NAME
syfre \- cypher encryption/decryption utility
.SH SYNOPSIS
.B syfre 
[ 
.B \-edbt
] [ 
.B -i
inputfile
] [ 
.B -oO
outputfile
]
.SH DESCRIPTION
.I syfre
is an encryption utility which uses simple cyphers to encrypt a stream
(usually stdin).  Two eight character passwords are entered by the user,
which are used to choose which cyphers to apply.  Data is then read in
and outputted in blocks of 1K each.
.PP
The output will always be somewhat larger than the input, size variation
depending upon the options selected.
Assuming normal encryption,
if the output is binary (default), then 956 byte blocks are read in
and outputted as 1024 byte blocks (output is always in 1K blocks).
If the output is text (
.B -t
option), 684 byte blocks are used for input.
If the baby option (
.B -b
) is specified, less encryption is done (sixteen passes instead of thirty-two),
but larger input blocks can be read.  Binary output would read in 988 byte
blocks, and text output would read in 716 byte blocks.
.PP
It might seem that the text option would increase the size far beyond what
would normally be considered tolerable.  However, binary encrypted data
which is then piped through
.IR uuencode (1)
increases in size by a factor of 4/3.  Indeed, the binary-to-text conversion
method used internally is very similar to that used in uuencode.
.PP
All versions of 
.B syfre
are backwards-compatible; although later versions may have more cyphers
to select from,
.B syfre
will be able to decrypt files encrypted by an older version.  No facility
exists for encrypting data as if it were actually an older version of
.B syfre .
.SH OPTIONS
.TP 5
.BI -e
Encode data.  This is the default action.
.TP 5
.BI -d
Decode data.  
.B syfre
automatically determines text/binary format, whether the baby option was
used, and what version of
.B syfre
was used to encode the data.
.TP 5
.BI -b
Baby option.  Only sixteen cypher passes are made, instead of thirty-two.
When encoding a large file this should decrease output size by three to
five percent.  Default is off (thirty-two passes).
.TP 5
.BI -t
Text option.  Output will use only standard text characters ("A-Za-z0-9.,").
Output will be much larger (thirty-three to fourty percent larger), but will
be in an easy format for email or usenet posting.  Default is binary.
.TP 5
.BI -i " filename
Read input from
.BI filename
instead of stdin.
.TP 5
.BI -o " filename
Send output to
.BI filename
instead of stdout.
.BI filename
will not be overwritten if it already exists.
.TP 5
.BI -O " filename
Send output to
.BI filename
instead of stdout.
.BI filename
will be overwritten if it already exists.

.SH BUGS
None known at this time.
.PP
During initial testing, it seemed that a file encoded with one password
and decoded with a different password would cause a core dump.  Although
this could easily be written off as an "unintended feature", it seems to
have disappeared with the cleaning up of the binary-to-text conversion
routines.
.SH COPYRIGHT
Copyright (c) 1993 by Marc Douglass Wallace
.br
(wallace@math.berkeley.edu)

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation. 
